<template>
    <div class="my-card">
        <div class="my-card-header">
            <div class="card-title title ys-title panel-title">
                {{title}}
            </div>
            <div class="my-card-tools">
                <slot name="card-tools"></slot>
            </div>
        </div>
        <div class="my-card-body">
            <slot></slot>
        </div>
        <div class="my-card-footer">
            <slot name="card-footer"></slot>
        </div>
    </div>
</template>

<script>
export default {
    name: 'MyCard',
    props: {
        title: {
            type: String,
            default: '卡片描述'
        }
    },
}
</script>

<style scoped>
.my-card {
    position: relative;
    display: flex;
    flex-direction: column;
    /* background: url(../assets/images/box_bg.png) no-repeat 0 0; */
    /* background-size: 100% 100%; */
    padding-bottom: 24px;
    min-height: 200px;
    height: 100%;
    box-sizing:border-box;
    border: 1px solid #0ff;
    border-radius: 6px;
}
.my-card-header {
    display: flex;
    font-size: 20px;
    margin: 8px;
    padding: 8px;
}
.card-title-img {
    vertical-align: middle;
    margin-right: 4px;
}
.card-title {
    color: #fff;
    font-weight: normal;
    line-height: 26px;
}
.my-card-tools {
    flex: 1;
    text-align: right;
}
.my-card-body {
    flex: 1;
    overflow-y: auto;
}
</style>


